Bug 26502

Summary: [Chromium] Use WebCore::multipleFileUploadText()
Product: WebKit Reporter: Kent Tamura <tkent>
Component: FormsAssignee: David Levin <levin>
Status: RESOLVED FIXED    
Severity: Normal CC: levin
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Proposed patch
levin: review-
Proposed pattch rev.2 levin: review+

Description Kent Tamura 2009-06-17 17:13:21 PDT
The current code of FileChooserChoromium.cpp doesn't use multipleFileUploadText().  So if a user selects multiple files for a file upload form, Chrome shows the first filename.  It should show a text like "N files" like Safari.
Comment 1 Kent Tamura 2009-06-17 17:14:58 PDT
Created attachment 31470 [details]
Proposed patch
Comment 2 David Levin 2009-06-18 15:52:48 PDT
Comment on attachment 31470 [details]
Proposed patch


> Index: WebCore/ChangeLog
> +2009-06-17  Kent Tamura  <tkent@chromium.org>
> +
> +        Reviewed by NOBODY (OOPS!).
> +
> +        Use WebCore::multipleFileUploadText() in Chromium.
> +        <https://bugs.webkit.org/show_bug.cgi?id=26502>
> +

Ideally you would have something about why you are doing the change here?
What does the change accomplish?  (You have this in the bug.)

This change looks good but the changelog needs to be improved, so r- until that is fixed.  With a better change log, I'd happily give it an r+.
Comment 3 Kent Tamura 2009-06-18 18:41:53 PDT
Created attachment 31527 [details]
Proposed pattch rev.2

Thank you for the comment.  I have updated the ChangeLog.
Comment 4 David Levin 2009-06-18 18:44:19 PDT
Comment on attachment 31527 [details]
Proposed pattch rev.2

There are tabs in the changelog.

I'll fix this on landing.
Comment 5 David Levin 2009-06-18 18:44:45 PDT
Assigned to levin for landing.
Comment 6 David Levin 2009-06-19 11:24:04 PDT
Committed as http://trac.webkit.org/changeset/44860